Skip to main content
GET
/
v1
/
prior-auth
/
authorizations
/
{authorizationId}
/
events
List authorization events
curl --request GET \
  --url https://api.sandbox.trycollate.ai/v1/prior-auth/authorizations/{authorizationId}/events \
  --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "evt_123", "authorizationId": "auth_123", "sequence": 1, "type": "prior_auth.authorization.created", "timestamp": "2026-03-13T17:00:00.000Z", "payload": { "workflowState": "needs_input" } } ], "pagination": { "hasMore": false, "nextCursor": null } }

Authorizations

Authorization
string
header
required

Bearer token for WorkOS session JWTs and organization API keys.

Path Parameters

authorizationId
string
required
Example:

"auth_123"

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
Example:

25

cursor
string

Response

Paginated authorization events.

data
object[]
required
pagination
object
required